{
    "dynamic":"strict",
    "properties": {
        "id":{"type":"long"},
        "is_online":{"type":"boolean"},
        "question_id":{"type":"long"},
        "smart_rank":{"type":"long"},
        "smart_rank_v2":{"type":"double"},
        "smart_rank_v3":{"type":"double"},
        "title":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //问题标题
        "desc":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //问题描述
        "answer":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //回答内容
        // 相关推荐,得分
        "recommend_score": {"type": "double"},
        "tag_ids": {"type": "long"},
        "tag_name": {"type": "string"},
        "tag_name_analyze": {"type": "string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"},
        // 新标签
        "fresh_tag_ids": {"type": "long"},
        "fresh_tag_name": {"type": "string"},
        "good_click": {"type":"long"},

        "content_level":{"type":"string", "index":"not_analyzed"},
        "is_gte_3_content_level":{"type":"boolean"},   // 星级是否大于或等于三级
        "sort_score":{"type": "double"},// 内容星级 *1 + 点赞 *0.3 + 评论 *0.7
        "has_picture":{"type":"boolean"},   // 回答及其问题是否有图片
        "content_length": {"type": "long"},
        "user_id": {"type": "long"},
        "user_type": {"type": "long"},
        "question_type":{"type":"long"},
        "content_type": {"type":"string"},  // 回答内容类型(普通、视频)
        "is_recommend": {"type":"boolean"}, //是否推荐回答
        "create_time":{"type":"date","format":"date_time_no_millis"}, //创建时间
        "create_time_epoch":{"type": "long"}, //创建时间
        "title_pre": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_index", "index_options": "offsets"},
        "desc_pre": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_index", "index_options": "offsets"},
        "answer_pre": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_index", "index_options": "offsets"},
        "hot_score":{"type":"long"},  //热度
        "last_any_reply_time":{"type":"date", "format":"date_time_no_millis"},
        "content_keyword":{"type":"string","index":"not_analyzed"},
        "content_star_keyword":{"type":"string","index":"not_analyzed"},
        "content_star_first_keyword":{"type":"string","index":"not_analyzed"},
        "title_keyword":{"type":"string","index":"not_analyzed"},
        "has_service":{"type": "boolean"},  // 该问答对应的标签和关键字有没有关联的美购
        "tags_v3": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 新标签
        "first_demands": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 1级诉求
        "second_demands": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 2级诉求
        "first_solutions": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 1级方式
        "second_solutions": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 2级方式
        "positions": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 部位
        "second_positions": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 二级部位
        "tagv3_ids": {"type": "long"}, //新标签id集合
        "first_demands_ids": {"type": "long"},
        "second_demands_ids": {"type": "long"},
        "first_solutions_ids": {"type": "long"},
        "second_solutions_ids": {"type": "long"},
        "first_positions_ids": {"type": "long"},
        "second_positions_ids": {"type": "long"},
        "first_classify_ids": {"type": "long"}, //新标签一级分类id集合
        "second_classify_ids": {"type": "long"}, //新标签二级分类id集合
        "first_classify_names": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, //新标签一级分类名称集合
        "second_classify_names": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"},//新标签二级分类名称集合
        "reply_number":{"type": "long"},
        "vote_number":{"type": "long"},
        "reply_vote_emt":{"type": "double"},
        //最新互动时间
        "latest_interaction_time": {"type": "long"},
        "latest_create_or_reply_time": {"type": "long"},
        "goodclick_rate_30":{"type":"long"},
        "is_need_guarantee": {"type":"boolean"}, //是否需要保量
        "keynote_sentence": {"type": "string","analyzer": "gm_default_index","search_analyzer": "gm_default_search"},
        "operators_add_tags":{"type":"long"}, //新标签中运营添加的词   EXCHANGE交易运营  COMMUNITY社区运营
        "anecdote_tags": {"type": "string", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, //八卦标签名称
        "anecdote_tag_ids": {"type": "long"}, //八卦标签ID
        "new_smr": {"type": "double"}, //最新的smart_rank分数
        "show_by_index": {"type":"long"}, //根据指标判断是否展示改帖子 0是正常展示  1不展示
        "search_new_smr": {"type": "double"}, //最新的搜索smart_rank分数
        "update_time_stratific": {"type":"long"},  //根据创建和修改时间30天为一个时间段  30-90天为一个时间段 90-365为一个时间段 365之后为一个时间段
        "new_goodclicks": {"type": "double"}, //最新的goodclick
        "has_video": {"type": "boolean"}
    }
}
